gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FrameAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype FrameAccessible = FrameAccessible (ManagedPtr FrameAccessible)
- class (GObject o, IsDescendantOf FrameAccessible o) => IsFrameAccessible o
- toFrameAccessible :: (MonadIO m, IsFrameAccessible o) => o -> m FrameAccessible

# Exported types

newtype FrameAccessible Source #

Memory-managed wrapper type.

Constructors

FrameAccessible (ManagedPtr FrameAccessible) |

#### Instances

Instances details

Eq FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible Methods (==) :: FrameAccessible -> FrameAccessible -> Bool Source # (/=) :: FrameAccessible -> FrameAccessible -> Bool Source #
GObject FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible
ManagedPtrNewtype FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible Methods toManagedPtr :: FrameAccessible -> ManagedPtr FrameAccessible Source #
TypedObject FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible Methods glibType :: IO GType Source #
HasParentTypes FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible
IsGValue (Maybe FrameAccessible) Source # | Convert `FrameAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FrameAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FrameAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FrameAccessible) Source #
type ParentTypes FrameAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible type ParentTypes FrameAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf FrameAccessible o) => IsFrameAccessible o Source #

Type class for types which can be safely cast to `FrameAccessible`, for instance with `toFrameAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf FrameAccessible o) => IsFrameAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.FrameAccessible

toFrameAccessible :: (MonadIO m, IsFrameAccessible o) => o -> m FrameAccessible Source #

Cast to `FrameAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.